VismaBouwsoftAPICalls.v1_PUT_Items Method
v1_PUT_Items() as String

This API call is used to update fields of a(n) Item

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Items/{id}/image
or
API Path: /Items/{id}/note_plain

You make this API call with the key field id as the path parameter (the id of the Item you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
list 2 tpString 50 No No No
group 2 tpString 50 No No No
nr1 2 tpString 100 No No No
nr2 2 tpString 100 No No No
description 2 tpString 0 No No No
unit1 2 tpString 10 No No No
unit2 2 tpString 10 No No No
brand 2 tpString 150 No No No
type 2 tpString 0 No No No
barcode 2 tpString 50 No No No
active 2 tpString 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Items/{id}/image

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Items/14025/image

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: mmrfWxfOtkzSfIPVftzRqOkIfrDbIOtGjmPtzrVAVrfGOmIlIj
ParameterName: Clientnr, ParameterValue: 115

Body Parameters :
ParameterName: imageParameterValue: bouwsoft.jpg

Success gives statuscode 201 And the following result

image

/Items/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Items/14025/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PPPfWxfOmrzSfUDrDfzRqUGUfGVjkGVOfUAkzDtbVPbIDtbkDr

Body Parameters :
test

Success gives statuscode 200 And the following result

test